nn.pp.rccore

## Interface IVMConfigInfo

- All Known Implementing Classes:
    VMConfigInfo

      public interface IVMConfigInfo

  Structure representing the Virtual Media (USB) device configuration of the port
  See Also:
    `VirtualMediaInfoListener.virtualMediaConfigChanged(IVMConfigInfo)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `audio` Flags about what devices are available on an VM endpoint: Audio device emulation is available
    `static int` | `cd` Flags about what devices are available on an VM endpoint: CD-ROM drive emulation is available
    `static int` | `cdAndAudio` Flags about what devices are available on an VM endpoint: CD-ROM drive and audio device emulation are available
    `static int` | `cdAndRemovable` Flags about what devices are available on an VM endpoint: CD-ROM drive and Removable media (USB pen drive) emulation are available
    `static int` | `cdAndRemovableAndAudio` Flags about what devices are available on an VM endpoint: CD-ROM drive, Removable media (USB pen drive) and audio device emulation are available
    `static int` | `cdAndRemovableAndSmartcard` Flags about what devices are available on an VM endpoint: CD-ROM drive, Removable media (USB pen drive) and SmartCard emulation are available
    `static int` | `cdAndSmartcard` Flags about what devices are available on an VM endpoint: CD-ROM drive and SmartCard emulation are available
    `static int` | `disabled` Flags about what devices are available on an VM endpoint: There are no USB devices possible
    `static int` | `floppy` Flags about what devices are available on an VM endpoint: Floppy emulation is available
    `static int` | `removable` Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) emulation is available
    `static int` | `removableAndAudio` Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) and audio device emulation are available
    `static int` | `removableAndSmartcard` Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) and SmartCard emulation are available
    `static int` | `smartcard` Flags about what devices are available on an VM endpoint: SmartCard emulation is available
    `static int` | `smartcardAndAudio` Flags about what devices are available on an VM endpoint: SmartCard and audio device emulation are available
    `static int` | `smartcardAndCdAndAudio` Flags about what devices are available on an VM endpoint: SmartCard, CD-ROM drive and audio device emulation are available
    `static int` | `smartcardAndCdAndRemovableAndAudio` Flags about what devices are available on an VM endpoint: SmartCard, CD-ROM drive, Removable media (USB pen drive) and audio device emulation are available
    `static int` | `smartcardAndRemovableAndAudio` Flags about what devices are available on an VM endpoint: SmartCard, Removable media (USB pen drive) and audio device emulation are available

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getVMConfig()` Get the list of configurations available, one for each emulated VM device.

- - ### Field Detail

    - #### disabled

          static final int disabled

      Flags about what devices are available on an VM endpoint: There are no USB devices possible
      See Also:
        Constant Field Values

    - #### cd

          static final int cd

      Flags about what devices are available on an VM endpoint: CD-ROM drive emulation is available
      See Also:
        Constant Field Values

    - #### floppy

          static final int floppy

      Flags about what devices are available on an VM endpoint: Floppy emulation is available
      See Also:
        Constant Field Values

    - #### removable

          static final int removable

      Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) emulation is available
      See Also:
        Constant Field Values

    - #### smartcard

          static final int smartcard

      Flags about what devices are available on an VM endpoint: SmartCard emulation is available
      See Also:
        Constant Field Values

    - #### audio

          static final int audio

      Flags about what devices are available on an VM endpoint: Audio device emulation is available
      See Also:
        Constant Field Values

    - #### cdAndRemovable

          static final int cdAndRemovable

      Flags about what devices are available on an VM endpoint: CD-ROM drive and Removable media (USB pen drive) emulation are available
      See Also:
        Constant Field Values

    - #### cdAndSmartcard

          static final int cdAndSmartcard

      Flags about what devices are available on an VM endpoint: CD-ROM drive and SmartCard emulation are available
      See Also:
        Constant Field Values

    - #### removableAndSmartcard

          static final int removableAndSmartcard

      Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) and SmartCard emulation are available
      See Also:
        Constant Field Values

    - #### cdAndRemovableAndSmartcard

          static final int cdAndRemovableAndSmartcard

      Flags about what devices are available on an VM endpoint: CD-ROM drive, Removable media (USB pen drive) and SmartCard emulation are available
      See Also:
        Constant Field Values

    - #### cdAndAudio

          static final int cdAndAudio

      Flags about what devices are available on an VM endpoint: CD-ROM drive and audio device emulation are available
      See Also:
        Constant Field Values

    - #### removableAndAudio

          static final int removableAndAudio

      Flags about what devices are available on an VM endpoint: Removable media (USB pen drive) and audio device emulation are available
      See Also:
        Constant Field Values

    - #### cdAndRemovableAndAudio

          static final int cdAndRemovableAndAudio

      Flags about what devices are available on an VM endpoint: CD-ROM drive, Removable media (USB pen drive) and audio device emulation are available
      See Also:
        Constant Field Values

    - #### smartcardAndAudio

          static final int smartcardAndAudio

      Flags about what devices are available on an VM endpoint: SmartCard and audio device emulation are available
      See Also:
        Constant Field Values

    - #### smartcardAndCdAndAudio

          static final int smartcardAndCdAndAudio

      Flags about what devices are available on an VM endpoint: SmartCard, CD-ROM drive and audio device emulation are available
      See Also:
        Constant Field Values

    - #### smartcardAndRemovableAndAudio

          static final int smartcardAndRemovableAndAudio

      Flags about what devices are available on an VM endpoint: SmartCard, Removable media (USB pen drive) and audio device emulation are available
      See Also:
        Constant Field Values

    - #### smartcardAndCdAndRemovableAndAudio

          static final int smartcardAndCdAndRemovableAndAudio

      Flags about what devices are available on an VM endpoint: SmartCard, CD-ROM drive, Removable media (USB pen drive) and audio device emulation are available
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getVMConfig

          int[] getVMConfig()

      Get the list of configurations available, one for each emulated VM device.

      The number of emulated devices (and thus, the size of this list) is usually 2, but this depends on the selected USB profile for the port.

      Returns:
        the list of configurations available, one for each emulated VM device.

Copyright © 2025 Raritan Inc. All Rights Reserved.